Page MenuHomePhabricator

TextCat Demo Page in Labs
Closed, ResolvedPublic

Description

Create a simple demo page in labs that allows people to interact with TextCat, to try it out, provide feedback, and consider using it themselves.

MVP:

  • select what languages/models to use, type in a bit of text, hit go, and get the responses provided by PHP TextCat
  • provide one or more pre-selected set of languages (e.g., default to a group that covers the top N wikis)

Potential additional features:

  • allow users to select from either LM or LM-query model sets (right now you can't mix and match, though)
  • add links to search the wiki of the detected language, or
  • show the results from the wiki of the detected language right there on the page
  • (more feature suggestions welcome)

Event Timeline

TJones created this task.May 4 2016, 7:38 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 4 2016, 7:38 PM
Deskana raised the priority of this task from Medium to High.May 5 2016, 10:11 PM
Deskana moved this task from needs triage to Up Next on the Discovery-Search board.

Nice! Let's do this soon. :-)

Gerrit patch awaiting review:
https://gerrit.wikimedia.org/r/#/c/291939/

Live demo of the current version (it's randomly slow as it competes for resources in labs):
https://tools.wmflabs.org/textcatdemo/

debt closed this task as Resolved.Jul 21 2016, 3:44 PM
debt added a subscriber: debt.

yay, looks good!